# $Revision: 1.39 $, $Date: 2006/04/24 01:51:51 $
#
# Conditional build:
%bcond_without	ext3		# build without ext3 support
%bcond_without	jfs		# build without jfs support
%bcond_without	ntfs		# build without ntfs support
%bcond_without	reiserfs 	# build without reiserfs support
%bcond_without	xfs		# build without xfs support
%bcond_with	static		# build statically linked qtparted
#
Summary:	QTParted is a Partition Magic clone
Summary(pl):	QTParted to klon Partition Magica
Name:		qtparted
Version:	0.4.5
Release:	3
License:	GPL v2
Vendor:		Vanni Brutto <zanac@libero.it>
Group:		Applications/System
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	4541c0aa5475ba38d3cc518c921c8a34
Patch0:		%{name}-desktop.patch
URL:		http://qtparted.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	parted-devel >= 1.6.3
%{?with_static:BuildRequires:	parted-static}
%if %{with reiserfs}
BuildRequires:	progsreiserfs-devel >= 0.3.1
%{?with_static:BuildRequires:	progsreiserfs-static >= 0.3.1}
%endif
BuildRequires:	qt-devel >= 3.0.3
BuildRequires:	qt-linguist >= 3.0.3
BuildRequires:	rpm-build >= 4.3
Requires:	parted >= 1.6.3
Requires:	progsreiserfs >= 0.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QTParted is a Partition Magic clone written in C++ using the Qt
toolkit.

%description -l pl
QTParted to klon Partition Magica napisany w C++ przy uyciu toolkitu
Qt.

%prep
%setup -q
%patch -p1

%build
cp -f /usr/share/automake/config.* .
export QMAKESPEC=%{_datadir}/qt/mkspecs/linux-g++
export PATH="$PATH:/usr/sbin:/sbin"
%{__make} -f admin/Makefile.common cvs
%configure \
	FSPATH_MKNTFS=/usr/sbin/mkntfs \
	FSPATH_NTFSRESIZE=/usr/sbin/ntfsresize \
	FSPATH_MKFSEXT3=/sbin/mkfs.ext3 \
	FSPATH_MKFSJFS=/sbin/mkfs.jfs \
	FSPATH_MKFSXFS=/sbin/mkfs.xfs \
	FSPATH_MOUNT=/bin/mount \
	FSPATH_UMOUNT=/bin/umount \
	FSPATH_XFS_GROWFS=/usr/sbin/xfs_growfs \
	%{!?with_xfs:--disable-xfs} \
	%{!?with_ntfs:--disable-ntfs} \
	%{!?with_ext3:--disable-ext3} \
	%{!?with_jfs:--disable-jfs} \
	%{!?with_reiserfs:--disable-reiserfs} \
	--%{?with_static:en}%{!?with_static:dis}able-static \
	--with-qt-libraries=%{_libdir}
%{__make}
sed -i -e "s/gksu/kdesu/g" data/qtparted.desktop

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	menudir=%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc
%attr(755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%lang(ca) %{_datadir}/%{name}/locale/qtparted_ca.qm
%lang(cs) %{_datadir}/%{name}/locale/qtparted_cs.qm
%lang(de) %{_datadir}/%{name}/locale/qtparted_de.qm
%lang(es) %{_datadir}/%{name}/locale/qtparted_es.qm
%lang(fr) %{_datadir}/%{name}/locale/qtparted_fr.qm
%lang(it) %{_datadir}/%{name}/locale/qtparted_it.qm
%lang(pl) %{_datadir}/%{name}/locale/qtparted_pl.qm
%lang(ru) %{_datadir}/%{name}/locale/qtparted_ru.qm
%lang(ua) %{_datadir}/%{name}/locale/qtparted_ua.qm
%{_datadir}/%{name}/pics
%{_pixmapsdir}/*.xpm
%{_desktopdir}/*.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qtparted.spec,v $
Revision 1.39  2006/04/24 01:51:51  ankry
- fixed Categories, rel. 3

Revision 1.38  2005/10/04 19:25:29  arekm
- rel 2

Revision 1.37  2005/08/13 09:44:21  charles
- updated to 0.4.5

Revision 1.36  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.35  2004/10/02 00:48:52  ankry
- rel. 3 to rebuild with parted-devel-1.6.13

Revision 1.34  2004/07/03 01:18:01  havner
- BR: qt-linguist
- s/gksu/kdesu in dekstop file
- rel up

Revision 1.33  2004/04/25 22:30:43  adamg
- added canadian translation

Revision 1.32  2004/04/25 22:22:47  adamg
- simplified bconds usage

Revision 1.31  2004/04/25 22:19:54  adamg
- updated to 0.4.4

Revision 1.30  2004/03/11 09:35:47  qboosh
- install .desktop in proper place, release 2

Revision 1.29  2004/03/10 18:42:21  qboosh
- one TODO file is enough in doc

Revision 1.28  2004/03/10 18:41:50  qboosh
- files fixes, release 1.1 (add .desktop and increase to 2)

Revision 1.27  2004/03/10 18:28:39  qboosh
- update config.sub for amd64, pass paths to stop BRing *fs tools

Revision 1.26  2004/03/10 16:38:11  matkor
- Version 0.4.2-1, Autoupdated.

Revision 1.25  2004/02/08 14:35:17  qboosh
- BR: ac,am

Revision 1.24  2004/02/08 08:34:58  misi3k
- updated to 0.4.1
mia: man ?

Revision 1.23  2003/09/01 12:16:27  adamg
- cleaned up bconds - there were some leftovers from the old ones, now use only new style bcond

Revision 1.22  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/06/27 11:17:29  qboosh
- finished/fixes new bconds, use find_lang

Revision 1.20  2003/06/24 22:18:52  qboosh
- missing dir, -statis BRs only conditional

Revision 1.19  2003/06/22 11:42:02  misi3k
- typo

Revision 1.18  2003/06/22 11:40:11  misi3k
- cleanup - removed patch0

Revision 1.17  2003/06/20 10:35:33  luzik
 - new bconds

Revision 1.16  2003/06/19 20:10:42  adamg
- new bconds, still not finished

Revision 1.15  2003/06/19 12:55:42  adamg
- started update to 0.3.2
- added bconds
- use %%configure
- use make install
- added missing files
- release 0.1, NFY

Revision 1.14  2003/05/30 11:10:29  misi3k
- updated to 0.3.1

Revision 1.13  2003/05/28 13:01:34  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:26:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/10 14:14:17  misi3k
- updated to 0.2.3
- added conf patch

Revision 1.10  2003/05/01 15:00:04  adamg
- updated to 0.2.2: bugfixes, ntfs, jfs and ext3 support added

Revision 1.9  2003/04/24 23:53:12  misi3k
- updated to 0.2.1
- removed patch (not needed)

Revision 1.8  2003/04/19 17:16:31  adamg
- updated to 0.2.0-1

Revision 1.7  2003/04/16 17:47:35  misi3k
- cosmetics

Revision 1.6  2003/04/16 17:46:19  misi3k
-updated to 0.1.8-2

Revision 1.5  2003/04/15 08:09:55  qboosh
- BR: qt-devel not just qt

Revision 1.4  2003/04/13 22:10:37  qboosh
- fixed pl "translation"

Revision 1.3  2003/04/13 06:11:09  misi3k
- rel 0.3
- fixed perms to /usr/bin/qtparted

Revision 1.2  2003/04/12 22:29:47  misi3k
- rel 0.2
- fix BR & Req

Revision 1.1  2003/04/12 22:26:22  misi3k
- initial release
